Bug 807261 - gluster volume heal info without volume should display the usage message
gluster volume heal info without volume should display the usage message
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 07:46 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 06:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-03-27 07:46:09 EDT
Description of problem:
gluster volume heal info (without volname) just says "operation failed". It should display the usage message

Version-Release number of selected component (if applicable):
git master

How reproducible:
Always

Steps to Reproduce:
1. Run gluster volume heal info
  
Actual results:
[root@QA-26 ~]# gluster v heal  info
operation failed
[root@QA-26 ~]# 

Expected results:
Should display the usage message or what is missing in the command
Comment 1 Anand Avati 2012-04-01 08:53:49 EDT
CHANGE: http://review.gluster.com/3057 (mgmt/glusterd: Improvements for volume heal CLI.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 M S Vishwanath Bhat 2012-04-05 06:42:01 EDT
Now it shows usage message when no volume is specified...


[root@QA-25 /]# gluster v heal info
Volume info does not exist

Note You need to log in before you can comment on or make changes to this bug.